Bug 147801 - Vice does not build and run on x86_64
Vice does not build and run on x86_64
Product: Fedora
Classification: Fedora
Component: vice (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-02-11 09:33 EST by Thorsten Leemhuis
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-20 11:12:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2005-02-11 09:33:01 EST
Description of problem:
Vice does not build on x86_64. It installs files into /usr/lib/vice and not to
/usr/lib64/vice as expectged by the spec file. See:

Version-Release number of selected component (if applicable):

Additional info:
The files in the dir are no real librarys. They are identical to the ones in the
i386 package. So I suggesting to leave them in /usr/lib; I also found a suse
vice package that installs them in /usr/lib/vice also.

But this fixes only half of the problem. Is also does not run, e.g. when I start
x64 or x128 is aborts with:

DGA2: Found mode:  800x600-0,0Hz, 5
DGA2: Found mode:  640x480-0,0Hz, 6
*** glibc detected *** realloc(): invalid next size: 0x0000000000be60f0 ***

This is fixed by upgrading to the newest version 1.16. 

P.S.: Sorry, Panu, x86_64 is hitting you once again. ;-)
Comment 1 Michael Schwendt 2005-02-11 09:53:45 EST
Additionally, current VICE package is encumbered with original kernal ROM files
and needs discussion and -- most likely -- removal of those files.
Comment 2 Panu Matilainen 2005-02-14 12:38:35 EST
If we can't ship the ROM files then there's simply no point in providing this
package at all from FE, it's only going to look like bad and broken packaging
when people can get works-out-of-the-box packages from elsewhere.

Me thinks it's better to just remove VICE from FE and publish it through other
less constrained repository.
Comment 3 Michael Schwendt 2005-02-14 15:17:37 EST
The Debian contrib VICE package does not include the ROM files either,
and they only include a readme on how to get them elsewhere. I agree
that a crippled package reduces its target group even further. Will
request removal of i386/src.rpm and cleanup of CVS. Kept a backup of
vice-1.14-5 aka vice-1.14-0.fdr.5
Comment 4 Thorsten Leemhuis 2005-02-20 11:12:49 EST
Removed. Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.